Page MenuHomePhabricator

require ipaddress package instead of ipaddr for Python 2
Closed, ResolvedPublic

Description

ipaddr package is superseeded by ipaddress which is a backport of Python 3 Standard. [1]
Also make it mandatory für Python 2 to prevent different behaviour on Python 2 and 3

[1] https://pypi.org/project/ipaddr/

Event Timeline

Xqt created this task.Jan 20 2020, 9:19 AM
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptJan 20 2020, 9:19 AM
Xqt triaged this task as Medium priority.Jan 20 2020, 9:19 AM

Change 566013 had a related patch set uploaded (by Xqt; owner: Xqt):
[pywikibot/core@master] [deps] require ipaddress for Python 2

https://gerrit.wikimedia.org/r/566013

Xqt claimed this task.Jan 20 2020, 1:33 PM
Zoranzoki21 moved this task from Backlog to Needs Review on the Pywikibot board.Feb 8 2020, 5:00 PM

Change 566013 merged by jenkins-bot:
[pywikibot/core@master] [deps] require ipaddress for Python 2

https://gerrit.wikimedia.org/r/566013

Xqt closed this task as Resolved.Feb 11 2020, 4:07 PM

Change 595213 had a related patch set uploaded (by Xqt; owner: Xqt):
[pywikibot/core@master] [cleanup] Remove deprecatet ip submodule

https://gerrit.wikimedia.org/r/595213

Change 595213 merged by jenkins-bot:
[pywikibot/core@master] [cleanup] Remove deprecated ip submodule

https://gerrit.wikimedia.org/r/595213